<!-- <ng-container *ngIf="dataLoaded">
        <hx-entityDocs [selectedChart]="selectedChart" [resultData]="entityData" [callbackJson]="callbackJson"
            [pivot_config]="pivot_config_object">
        </hx-entityDocs>
    </ng-container> -->
<style>
  /* .customtable th:nth-child(n+2) {
        background-color: navy;
        color: white
    }
    .customtable th {
        width: 25%;
    } */

  .customtable {
    background-color: navy;
    color: white;
  }



  .mat-form-field {
    width: calc(100% - .5rem);
  }
</style>

<ng-template #popContent1></ng-template>
<ng-template #popTitle1><b>Product Affinity Analysis</b></ng-template>

<ng-template #popContent2 class="test_popover">


</ng-template>
<ng-template #popTitle2><b>Campaign Analysis Inputs</b></ng-template>


<ng-template #popContent3 class="test_popover">


</ng-template>
<ng-template #popTitle3><b>Campaign Analysis Results</b></ng-template>

<div class="col-md-12" style="padding-top:15px;">
  <div class="form-group w-100" style="width:100%;">
    <div> <img src='assets/img/magnifier.svg' style='margin:10px;' /> <span
        style="font-size: 20px;color: #000000;vertical-align:middle;">Product Affinity Analysis
        <!-- <img placement="right"
          [ngbPopover]="popContent1" [popoverTitle]="popTitle1" src='assets/img/info.svg'
          style='margin-left:5px;margin-bottom:5px;cursor:pointer;' /> -->
        </span></div>

    <!-- <div ><img src='assets/img/magnifier.svg' style='margin:20px;'/><h3 class="card-title-material mb-0">Campaign Analysis</h3></div> -->

  </div>
</div>
<div class="col-md-12 p-0">
  <hr class="hr-border container-m--x mt-3 mb-3">
</div>
<!-- <block-ui [ngClass]="loadingBgColor" *blockUI="blockUIName; template: elementBlockTemplate"> -->
    <div [ngClass]="loadingBgColor" *blockUI="blockUIName; template: elementBlockTemplate">
  <form [formGroup]="filtersForm">
    <div >
      <div> <img src='assets/img/inputs.svg' style='margin:20px;' /> <span
          style="font-size: 20px;color: #000000;vertical-align:middle;">Inputs 
          <!-- <img placement="right"
            [ngbPopover]="popContent2" [popoverTitle]="popTitle2" src='assets/img/info.svg'
            style='margin-left:5px;margin-bottom:5px;cursor:pointer;' /> -->
          </span>
      </div>
      <div class="card-body" style="padding-top:0px;">
        <div class="row">
          <div class="col-md-12 mb-2">
              <div class="f-14">Select Time Window</div>
          </div>

          <div class="col-auto">
            <mat-form-field appearance="outline" >
              <mat-label>From</mat-label>
              <input matInput [matDatepicker]="fromDate" placeholder="From date" [(ngModel)]="searchByFilters.fromDate"
                [ngModelOptions]="{standalone: true}" />
              <mat-datepicker-toggle matSuffix [for]="fromDate"></mat-datepicker-toggle>
              <mat-datepicker #fromDate></mat-datepicker>
            </mat-form-field>
          </div>
          <div class="col-auto">
            <mat-form-field appearance="outline" >
              <mat-label>To</mat-label>
              <input matInput [matDatepicker]="toDate" placeholder="To date" [(ngModel)]="searchByFilters.toDate"
                [ngModelOptions]="{standalone: true}" />
              <mat-datepicker-toggle matSuffix [for]="toDate"></mat-datepicker-toggle>
              <mat-datepicker #toDate></mat-datepicker>
            </mat-form-field>
          </div>
        </div>
        <div class="row">
          <div class="col-auto">
            <div appearance="outline" style="line-height:0px;flex-direction: column;">
              <div class="f-14">Select Store</div>
              <div>
                <!-- <mat-select-autocomplete class="grid-7-11" [placeholder]="'State'" [options]="states"
                  [display]="'label'" [value]="'value'" [multiple]='false' [labelCount]="2"
                  [selectedOptions]="searchByFilters.state"
                  (selectionChange)="setFilterCriterea($event,'state')">
                </mat-select-autocomplete> -->
              </div>
            </div>

          </div>
          <div class="col-auto">

            <div>
              <!-- <mat-select-autocomplete class="grid-7-11" [placeholder]="'Region'" [options]="regions"
                [display]="'label'" [value]="'value'" [multiple]='false' [labelCount]="2"
                [selectedOptions]="searchByFilters.region"
                (selectionChange)="setFilterCriterea($event,'region')">
              </mat-select-autocomplete> -->
            </div>

          </div>
          <div class="col-auto">

            <div>
              <!-- <mat-select-autocomplete class="grid-7-11" [placeholder]="'Store'" [options]="stores"
                [display]="'label'" [value]="'value'" [multiple]='false' [labelCount]="2"
                [selectedOptions]="searchByFilters.store_name"
                (selectionChange)="setFilterCriterea($event,'store_name')">
              </mat-select-autocomplete> -->

            </div>

          </div>

          <div class="col-auto">
            <div appearance="outline" style="line-height:0px;flex-direction: column;">
              <div class="f-14">Select Item</div>
              <div>
                <!-- <mat-select-autocomplete class="grid-7-11" [placeholder]="'Product Category'"
                  [options]="productCategories" [display]="'label'" [value]="'value'" [multiple]='false'
                  [selectedOptions]="searchByFilters.saledepartmentname"
                  [labelCount]="2" (selectionChange)="setFilterCriterea($event,'saledepartmentname')">
                </mat-select-autocomplete> -->

              </div>
            </div>
          </div>
          <div class="col-auto">

            <div>
              <!-- <mat-select-autocomplete class="grid-7-11" [placeholder]="itemsLoading" [options]="products"
                [display]="'label'" [value]="'value'" [multiple]='false' [labelCount]="2"
                [selectedOptions]="searchByFilters.product"
                (selectionChange)="setFilterCriterea($event,'product')">
              </mat-select-autocomplete> -->
            </div>

          </div>
          <!-- <div class="col-sm-2">

                <button class="btn btn-md btn-primary pull-right" mat-raised-button>Analyze</button>

                </div> -->





        </div>

        <div class="row d-none" style="padding-bottom: 30px;padding-left: 0.75rem;">
          <div class="text-primary f-14 cursor"  (click)="showAdditionalInputs()">Show Optional
            Inputs </div>
        </div>


        <div class="row" *ngIf='showAdditionalInput'>
          <div class="col-auto">
            <div appearance="outline" style="line-height:0px;flex-direction: column;">
              <div class="f-14"> When in the day</div>
              <div fxFlex="" appearance="outline">
                <!-- <mat-select-autocomplete class="grid-7-11" [placeholder]="'Day Part'" [options]="dayParts"
                  [display]="'label'" [value]="'value'" [multiple]='false' [labelCount]="2"
                  [selectedOptions]="searchByFilters.dayPart"
                  (selectionChange)="setFilterCriterea($event,'dayPart')">
                </mat-select-autocomplete> -->
              </div>
            </div>
          </div>
          <div class="col-auto">
            <div appearance="outline" style="line-height:0px;flex-direction: column;">
              <div class="f-14">What type of order</div>
              <div fxFlex="" appearance="outline">
                <!-- <mat-select-autocomplete class="grid-7-11" [placeholder]="'Order Mode'" [options]="orderModes"
                  [display]="'label'" [value]="'value'" [multiple]='false' [labelCount]="2"
                  [selectedOptions]="searchByFilters.orderMode"
                  (selectionChange)="setFilterCriterea($event,'orderMode')">
                </mat-select-autocomplete> -->
              </div>
            </div>
          </div>
          <div class="col-auto">
            <div appearance="outline" style="line-height:0px;flex-direction: column;">
              <div class="f-14">What type of order</div>
              <div fxFlex="" appearance="outline">
                <!-- <mat-select-autocomplete class="grid-7-11" [placeholder]="'Campaign'" [options]="campaigns"
                  [display]="'label'" [value]="'value'" [multiple]='false' [labelCount]="2"
                  [selectedOptions]="searchByFilters.campaign"
                  (selectionChange)="setFilterCriterea($event,'campaign')">
                </mat-select-autocomplete> -->
              </div>
            </div>
          </div>

        </div>

        <div class="row mt-2">
          <div class="col-md-12 d-flex">
            <div appearance="outline">
              <button class="btn btn-md btn-primary f-16 box-shadow-none" mat-raised-button  (click)="onSubmit()">Analyze</button>
            </div>
            <div class="f-14 forecast-reset ml-4 text-primary" (click)="clearSearch()">Reset All</div>
          </div>
        </div>


      </div>
    </div>
    <div class="col-md-12 p-0">
        <hr class="hr-border container-m--x mt-3 mb-3">
      </div>
    <ng-container *ngIf="showResut" [ngClass]="showResut ? '' : 'd-none'">
        <div><img src='assets/img/results.svg' style='margin:20px;' /> <span
          style="font-size: 20px;color: #000000;vertical-align:middle;">Results 
          </span>
      </div>
      <!-- <div>
        <div style="float:left;"><img src='assets/img/results.svg' style='margin:20px;' /> Results <img
            placement="right" [ngbPopover]="popContent3" [popoverTitle]="popTitle3" src='assets/img/info.svg'
            style='margin-left:5px;margin-bottom:5px;cursor:pointer;' /></div>
      </div> -->
      
      <!-- Selected Item Section -->
      <div class="col-md-12">
        <div class="mb-4 mb_title_large"><span class="mute" style="color: #888;"> Selected Item : </span><span >{{responseData.selected_items[0].item_description}}</span></div>
        <!-- <div class="card col-md-3" *ngFor="let selectedItem of responseData.selected_items;let i=index">
          <div class="card-body">
            <div>Selected Item #{{i+1}}</div>
            <div style="font-size: 24px;color: #000000;">{{selectedItem.item_description}}</div>
            <div>Number of Checks : {{selectedItem.check_count}}</div>
            <div>Purchase Frequency (Confidence) : {{selectedItem.confidence}}</div>
            <div>Number of Items purchased : {{selectedItem.item_count}}</div>
          </div>
        </div> -->
      </div>
       <!-- /Selected Item Section -->
      <div class="col-md-12 p-0">
          <hr class="hr-border container-m--x mt-3 mb-3">
      </div>
         <!-- First Block -->
      <div class="col-md-12">
        <h3>How Much Sales do the Selected Item(s) Drive?</h3>
      </div>

      <div class="col-md-12 mb-4">
        <div class="row">
          <div class="col-md-12 col-lg-6">

            <div class="card card-res mb-3">
              <div class="card-body">
                <div class="d-flex align-items-start">
                  <div class="col-md-7 row">

                    <div class="col-md-12 mb-2 mb_title_large">Gross Sales</div>
                    <div class="col-md-6">
                      <div class="mb_title_medium">Check Sales with Items</div>
                    </div>
                    <div class="col-md-6">
                      <div class="mb_title_medium mb_nowrap">Check Sales Without Items</div>
                    </div>
                    <div class="col-md-6">
                      <div class="mb_value_large"> ${{totalSales[0].withItem|number}}</div>
                    </div>
                    <div class="col-md-6">
                      <div class="mb_value_large">${{totalSales[0].withOutItem|number}}</div>
                    </div>
                    <div class="col-md-12 mb-4 mb_value">{{totalSales[0].overall_gross_sales_percentage}}% of Overall Sales</div>


                    <div class="col-md-12 mb_title_medium">Item Sales</div>
                    <div class="col-md-12">
                      <div class="mb_value_large">${{totalSales[1].withItem|number}}</div>
                    </div>
                    <div class="col-md-12 mb_value">{{totalSales[1].check_sales_percentage}}% of Check Sales</div>
                    <div class="col-md-12 mb-4 mb_value">Drives {{totalSales[4].drive}}X Incremental Sales</div>

                  </div>
                  <div class="col-md-5">
                    <div id="gross_chart"></div>
                  </div>

                </div>
              </div>
            </div>

            <div class="card card-res">
              <div class="card-body">
                <div class="d-flex align-items-start">
                  <div class="col-md-7 row">
                    <div class="col-md-12 mb-2 mb_title_large">Net Sales</div>
                    <div class="col-md-6">
                      <div class="mb_title_medium">Check Sales with Item</div>
                      <div class="mb_value_large">${{totalSales[2].withItem | number:'1.0-0'}}</div>
                    </div>
                    <div class="col-md-6">
                      <div class="mb_title_medium mb_nowrap">Check Sales Without Items</div>
                      <div class="mb_value_large">${{totalSales[2].withOutItem | number:'1.0-0'}}</div>
                    </div>
                    <div class="col-md-12 mb-4 mb_value">
                      {{totalSales[2].overall_net_sales_percentage | number:'1.2-2'}} %of Overall Net Sales
                    </div>
                    <div class="col-md-12 mb-2 mb_title_large">Check Count</div>
                    <div class="col-md-6">
                      <div class="mb_title_medium">With Items</div>
                      <div class="mb_value_large">{{totalSales[3].withItem| number:'1.0-0'}} checks</div>
                    </div>
                    <div class="col-md-6">
                      <div class="mb_title_medium">Without Items</div>
                      <div class="mb_value_large">{{totalSales[3].withOutItem| number:'1.0-0'}} checks</div>
                    </div>
                    <div class="col-md-12 mb-4 mb_value">{{totalSales[3].overall_check_count_percentage | number:'1.2-2'}}% of Overall Check Count
                    </div>
                  </div>
                  <div class="col-md-5" id="check_chart">
                  </div>

                </div>
              </div>
            </div>
          </div>
          <div class="col-md-12 col-lg-6 card">
            <div class="card-body">
              <div class="d-flex align-items-center col-md-12 pl-0">
                <div class="col-md-6 row pl-0" >
                  <div class="col-md-12 mb-2 mb_title_large">Avg Check</div>
                  <div class="col-md-12 mb-4">
                    <div class="mb_title_medium">With Selected Items</div>
                    <div class="mb_value_large">${{avgSales[0].withItem | number: '1.0-0'}}</div>
                    <div class="mb_value">{{avgSales[0].avg_check_percentage}}% <i class="fa fa-caret-down text-danger text-large" *ngIf="avgSales[0].avg_check_percentage<0"></i> <i class="fa fa-caret-up text-success" *ngIf="avgSales[0].avg_check_percentage>0"></i> vs Overall</div>
                  </div>
                  <div class="col-md-12 mb-4">
                    <div class="mb_title_medium">Overall</div>
                    <div class="mb_value_large">${{avgSales[0].overAll | number: '1.0-0'}}</div>

                  </div>

                </div>
                <div class="col-md-6 row" >
                  <div class="col-md-12 mb-2 mb_title_large">Avg # of Items per Check</div>
                  <div class="col-md-12 mb-4">
                    <div class="mb_title_medium">With Selected Items</div>
                    <div class="mb_value_large">{{avgSales[1].withItem}}</div>
                    <div class="mb_value">{{avgSales[1].avg_num_items_per_Check_per}}% <i class="fa fa-caret-down text-danger text-large" *ngIf="avgSales[1].avg_num_items_per_Check_per<0"></i> <i class="fa fa-caret-up text-success" *ngIf="avgSales[1].avg_num_items_per_Check_per>0"></i> vs Overall</div>

                  </div>
                  <div class="col-md-12 mb-4">
                    <div class="mb_title_medium">Overall</div>
                    <div class="mb_value_large">{{avgSales[1].overAll}}</div>
                  </div>
                </div>
              </div>

              <div class="d-flex align-items-center row" style="justify-content: center;">
                <div class="col-md-12">
                  <div id="bar_chart2"></div>
                </div>

              </div>
            </div>
          </div>
        </div>

      </div>
       <!--  / First Block -->
      <div class="col-md-12 p-0">
          <hr class="hr-border container-m--x mt-3 mb-3">
      </div>
        <!-- Second Block -->
      <div class="col-md-12 col-lg-12">
        <h3>Which Items are Most Frequently Bought with the Selected Item?</h3>

        <p> If item A is purchased, which items (B) are most frequently also purchased in that same check? Three metrics
          below measure the relationship between A and B purchases<br />
          <b>Support:</b> % of total checks that contain both A and B, i.e., how material is the relationship between
          items A & B. Low Support (< 5%) indicates that both items occur in a small fraction of total checks <br>
            <b>Confidence:</b> % of checks with A, where B is also purchased, i.e., strength of relationship. High
            Confidence (> 90%) indicates that purchasing A leads to purchasing B <br />
            <b>Lift:</b> Is B's presence in checks that have A, more or less common that B's occurrence in all checks?
            Lift = 1 means B and A are independent (no relationship), Lift > 1 means B is more likely when A is
            present in a check, and Lift < 1 means A and B are substitutes
        </p> 
      </div>
      <div class="col-md-12 row">
        <div class="col-md-12 col-lg-6 pr-0" *ngFor="let dpart of responseData.freqent_items; let i = index">
                <div class="card card-res mb-3">
                  <div class="card-body pr-0">
                    <div class="d-flex align-items-center">
                      <div class="col-md-7 row">
                        <div class="col-md-12 mb_title">Rank <span class="ml-4">{{responseData.selected_items[0].item_description}} </span><span *ngIf="i==0">(A) </span>&</div>
                        <div class="col-md-12 mb-4 mb_title_large mb_nowrap mb_elips">#{{i+1}}<span style="margin-left: 26px;">{{dpart.item_description}} </span><span *ngIf="i==0">(B)</span>
                        </div>
                        <div class="col-md-12 mb-4">
                          <div class="mb_title_medium" *ngIf="dpart.net_sales">Net Sales <span *ngIf="i==0">(A & B)</span></div>
                          <div class="mb_value_large" *ngIf="dpart.net_sales">
                            ${{dpart.net_sales | number: '1.0-0'}}</div>
                          <div class="mb_value">{{((dpart.net_sales)*100/(responseData.overall_info.net_sales)) | number:'1.2-2'}}% of Overall Net
                            Sales</div>
                        </div>
                        <div class="col-md-12 mb-4">
                          <div class="mb_title_medium">Items Purchased <span *ngIf="i==0">(B)</span></div>
                          <div class="mb_value_large">{{dpart.item_count | number :'2.'}} Items</div>
                          <div class="mb_value">{{((dpart.item_count)/(dpart.check_count_with_item)) | number: '1.0-0'}} Items / Check
                          </div>
                        </div>
                        <div class="col-md-12">
                          <div class="mb_title_medium">Check Count <span *ngIf="i==0">(A & B)</span></div>
                          <div class="mb_value_large">{{dpart.check_count_with_item | number: '1.0-0'}} Checks</div>
                          <div class="mb_value">{{dpart.support | number:'1.2-2'}}% of Overall Checks -
                              <span *ngIf="dpart.support > 5" >Significant Sales</span>
                              <span *ngIf="dpart.support < 5" >Insignificant Sales</span>
                            </div>
                            <div class="mb_value">{{dpart.confidence | number:'1.2-2'}}% of Checks with Selected Item -
                              <span *ngIf="dpart.confidence > 50">Strong Relationship</span>
                              <span *ngIf="dpart.confidence < 50">Weak Relationship</span>
                            </div>
                            <div class="mb_value mb_nowrap">{{dpart.lift | number: '1.0-0'}}X - 
                              <span *ngIf="dpart.lift > 1"> more likely to be purchased with Selected item, than with any other item</span>
                              <span *ngIf="dpart.lift < 1"> more likely both items viewed as substitutes</span>
                              <span *ngIf="dpart.lift == 1"> both Items are Independent</span>
                            </div>
                               
                          </div>
                        

                      </div>
                      <div class="col-md-5">
                        <div id="rank_{{i+1}}"></div>
                      </div>

                    </div>
                  </div>
                </div>
        </div>
      </div>
      <!-- /Second Block-->     
      
      <div class="col-md-12 p-0">
          <hr class="hr-border container-m--x mt-3 mb-3">
        </div> 
        <!-- Third Block -->
      <div class="col-md-12 my-4">
        <h3>Are these Items Bought even the Selected Item is not Bought?</h3>
      </div>
      <div class="col-md-12 my-4 row d-none">
        <div class="col-md-12 row">
          <div *ngFor="let dpart of responseData.freqent_items_not_bought; let i = index" class="col-md-3">
            <div class="card mb-2 card-res">
              <div class="card-body">
                <div class="d-flex align-items-center">

                  <div>
                    <div *ngIf="i==0" class=" medium" style="font-size:14px;">Most Common Item</div>
                    <div *ngIf="i==1" class=" medium" style="font-size:14px;">{{i+1}}nd Most Common Item</div>
                    <div *ngIf="i==2" class=" medium" style="font-size:14px;">{{i+1}}rd Most Common Item</div>
                    <div *ngIf="i>2" class=" medium" style="font-size:14px;">{{i+1}}th Most Common Item</div>
                    <div class="medium" style="font-size: 16px;color: #000000;">{{dpart.item_description}}</div>
                    <div class="medium" style="color: #000000;"># Check with both items <span
                        class="text-bold">{{dpart.check_count}}</span></div>
                    <div class="medium" style="color: #000000;">% Check with both item <span
                        class="text-bold">{{dpart.check_count_per}}</span></div>
                    <div class="medium" style="color: #000000;"># Item Purchased <span
                        class="text-bold">{{dpart.check_count_not_sel}}</span></div>
                  </div>
                </div>
              </div>
            </div>

          </div>
        </div>
      </div>
      <div class="col-md-12 row">
                <div class="col-md-12 col-lg-6 pr-0" *ngFor="let dpart of responseData.freqent_items_not_bought; let i = index">
  
                  <div class="card card-res mb-3">
                    <div class="card-body pr-0">
                      <div class="d-flex align-items-center">
                        <div class="col-md-7 row">
                          <div class="col-md-12 mb-4 mb_value_large mb_nowrap mb_elips"><span style="color: #888;">#{{i+1}} -</span> {{dpart.item_description}}</div>
                          <div class="col-md-12 mb-4">
                            <div class="mb_title_medium">Total Checks with this Item</div>
                            <div class="mb_value_large">
                              {{dpart.check_count_not_sel| number: '1.0-0'}} Checks</div>
                            <div class="mb_value_large">${{dpart.gross_sales_item_not_sel | number: '1.0-0'}} Gross Sales</div>
                          </div>
                          <div class="col-md-12 mb-4">
                            <div class="mb_title_medium">Checks including Selected Item</div>
                            <div class="mb_value_large">{{dpart.check_count | number: '1.0-0'}} Checks</div>
                            <div class="mb_value">{{100 - dpart.check_count_per| number:'1.2-2'}}% of its Checks are w/o Selected Item</div>
                          </div>
                          <div class="col-md-12 mb-4">
                            <div class="mb_title_medium">Gross Sales including Selected Item</div>
                            <div class="mb_value_large">${{dpart.gross_sales_sel_item | number: '1.0-0'}}</div>
                            <div class="mb_value">{{100-((dpart.gross_sales_sel_item)*100/(responseData.overall_info.gross_sales)) | number:'1.2-2'}}% of its Gross Sales are w/o Selected Item</div>
                          </div>
                      </div>
                        <div class="col-md-5" id="check_chart">
                          <div id="rank_not_{{i+1}}"></div>
                        </div>
  
                      </div>
                    </div>
                  </div>
                </div>
        </div>
      <!--/Third Block-->
      <div class="col-md-12 my-4 d-none">
        <h3>Which items are most frequently purchased with the Selected item?</h3>
      </div>
      <div class="col-md-12 my-4 row d-none">
        <div class="col-md-3">
          <div class="card">
            <div class="card-body">
              <div class="row">
                <div class="col-md-6">
                  <div class=" medium" style="font-size:14px;">Most Common Item</div>
                  <div class="medium" style="font-size: 24px;color: #000000;">
                    {{responseData.freqent_items[0].item_description}}</div>
                </div>
                <div class="col-md-6">
                  <div># Check with both items <span
                      class="text-bold">{{responseData.freqent_items[0].check_count}}</span></div>
                  <div>% Check with both item <span
                      class="text-bold">{{responseData.freqent_items[0].purchase_freq_per}}</span></div>
                  <div># Item Purchased <span class="text-bold">{{responseData.freqent_items[0].item_count}}</span>
                  </div>
                </div>
              </div>
            </div>

          </div>

        </div>
        <div class="col-md-9 row">
          <div *ngFor="let dpart of responseData.freqent_items|slice:1; let i = index" class="col-md-4">
            <div class="card mb-2 card-res">
              <div class="card-body">
                <div class="d-flex align-items-center">
                  <!-- <div *ngIf="responseData.summary_analysis[1].net_lift<=0" class="d-block fas fa-sort-numeric-up  display-4" style="color:red"></div>
                    <div *ngIf="responseData.summary_analysis[1].net_lift>0" class="d-block fas fa-sort-numeric-up display-4" style="color:green"></div> -->

                  <div>
                    <div *ngIf="i==0" class=" medium" style="font-size:14px;">{{i+2}}nd Most Common Item</div>
                    <div *ngIf="i==1" class=" medium" style="font-size:14px;">{{i+2}}rd Most Common Item</div>
                    <div *ngIf="i==2" class=" medium" style="font-size:14px;">{{i+2}}th Most Common Item</div>
                    <div *ngIf="i>2" class=" medium" style="font-size:14px;">{{i+2}}th Most Common Item</div>
                    <div class="medium" style="font-size: 16px;color: #000000;">{{dpart.item_description}}</div>
                    <div class="medium" style="color: #000000;"># Check with both items <span
                        class="text-bold">{{dpart.check_count}}</span></div>
                    <div class="medium" style="color: #000000;">% Check with both item <span
                        class="text-bold">{{dpart.purchase_freq_per}}</span></div>
                    <div class="medium" style="color: #000000;"># Item Purchased <span
                        class="text-bold">{{dpart.item_count}}</span></div>
                  </div>
                </div>
              </div>
            </div>

          </div>
        </div>
      </div>
      <div class="col-md-12 mb-2 d-none">
        <div class="col-md-12 card pt-4">
          <div class="card-body">
            <div id="bar_chart" style="width: 100%;"></div>
          </div>
        </div>

      </div>
      <div class="col-md-12 mb-2 d-none">
        <div class="col-md-12 card">
          <div class="card-body">
            <div class="row">
              <div class="col-md-3" id="donut_1"></div>
              <div class="col-md-3" id="donut_2"></div>
              <div class="col-md-3" id="donut_3"></div>
              <div class="col-md-3" id="donut_4"></div>
            </div>
          </div>
        </div>
      </div>
      <div class="card mb-2 card-res d-none"
        style="width:100%;background: #FFFFFF;box-shadow: 2px 2px 10px 0 rgba(192,189,189,0.50);border-radius: 15px;">
        <div> <img src='assets/img/Summary.svg' style='margin:20px;' /> <span
            style="font-size: 20px;color: #000000;vertical-align:middle;">How much sales do the selected item(s) drive
            ?</span></div>

        <div class="card-body" style="padding-top:0px;">



          <div fxLayout="row wrap" fxLayoutGap="16px" fxLayoutAlign="flex-start">
            <div fxFlex="38%">

              <div fxLayout="row wrap" fxLayoutGap="16px" fxLayoutAlign="flex-start">


                <div class="card mb-2 card-res" style="border: none !important;box-shadow: none;cursor:pointer;">
                  <div class="card-body">
                    <div class="d-flex align-items-center" style="justify-content: center;">
                      <!-- <div *ngIf="responseData.summary_analysis[1].net_lift<=0" class="d-block fas fa-sort-numeric-up  display-4" style="color:red"></div>
                <div *ngIf="responseData.summary_analysis[1].net_lift>0" class="d-block fas fa-sort-numeric-up display-4" style="color:green"></div> -->
                      <div class="ml-3">
                        <div class=" medium" style="font-size:14px;">Gross Sales</div>
                        <div class="medium" style="color: #000000;">With Selected Items:
                          ${{totalSales[0].withItem | number:'1.2-2'}}/<span
                            class="small text-mute">${{totalSales[0].overAll  | number:'1.2-2'}}</span></div>
                        <div class="medium" style="color: #000000;">Without Selected Items:
                          ${{totalSales[0].withOutItem | number:'1.2-2'}}/<span
                            class="small text-mute">${{totalSales[0].overAll  | number:'1.2-2'}}</span></div>

                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <div fxLayout="row wrap" fxLayoutGap="16px" fxLayoutAlign="flex-start">
                <div class="card mb-2 card-res" style="border: none !important;box-shadow: none;cursor:pointer">
                  <div class="card-body">
                    <div class="d-flex align-items-center" style="justify-content: center;">
                      <!-- <div *ngIf="responseData.summary_analysis[1].net_lift<=0" class="d-block fas fa-sort-numeric-up  display-4" style="color:red"></div>
                <div *ngIf="responseData.summary_analysis[1].net_lift>0" class="d-block fas fa-sort-numeric-up display-4" style="color:green"></div> -->
                      <div class="ml-3">
                        <div class=" medium" style="font-size:14px;">Net Sales</div>
                        <div class="medium" style="color: #000000;">With Selected Items:
                          ${{totalSales[1].withItem | number:'1.2-2'}}</div>
                        <div class="medium" style="color: #000000;">Without Selected Items:
                          ${{totalSales[1].overAll | number:'1.2-2'}}</div>

                      </div>
                    </div>
                  </div>
                </div>
                <div class="card mb-2 card-res" style="border: none !important;box-shadow: none;cursor:pointer">
                  <div class="card-body">
                    <div class="d-flex align-items-center" style="justify-content: center;">
                      <!-- <div *ngIf="responseData.summary_analysis[1].net_lift<=0" class="d-block fas fa-sort-numeric-up  display-4" style="color:red"></div>
                <div *ngIf="responseData.summary_analysis[1].net_lift>0" class="d-block fas fa-sort-numeric-up display-4" style="color:green"></div> -->
                      <div class="ml-3">
                        <div class=" medium" style="font-size:14px;">Check Count</div>
                        <div class="medium" style="color: #000000;">With Selected Items:
                          {{totalSales[2].withItem | number:'1.2-2'}}</div>
                        <div class="medium" style="color: #000000;">Without Selected Items:
                          {{totalSales[2].overAll | number:'1.2-2'}}</div>

                      </div>
                    </div>
                  </div>
                </div>
              </div>


              <!-- <table width="100%" mat-table [dataSource]="totalSales">
            <ng-container matColumnDef="summary">
              <th style="background-color:#e9e9e9" mat-header-cell *matHeaderCellDef> Summary </th>
              <td style="background-color:#e9e9e9" mat-cell *matCellDef="let element"> {{element.summary}} </td>
            </ng-container>


            <ng-container matColumnDef="withItem">
              <th style="background-color:lightblue" mat-header-cell *matHeaderCellDef> With items </th>
              <td mat-cell *matCellDef="let element; let i = index"> {{i == 2 ? '' : '$'}}{{element.withItem | number:'1.2-2'}} </td>
            </ng-container>


            <ng-container matColumnDef="overAll">
              <th style="background-color:lightpink" mat-header-cell *matHeaderCellDef> Rest </th>
              <td mat-cell *matCellDef="let element; let i = index"> {{i == 2 ? '' : '$'}}{{element.overAll  | number:'1.2-2'}} </td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="totalSalesColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: totalSalesColumns;"></tr>
          </table> -->
            </div>
            <div fxFlex="19%">
              <div id="grossSalesPieChart" width="100%" style="height:250px;">


              </div>
            </div>
            <div fxFlex="19%">
              <div id="netSalesPieChart" width="100%" style="height:250px;">

              </div>
            </div>
            <div fxFlex="19%">
              <div id="checkCountSalesPieChart" width="100%" style="height:250px;">

              </div>
            </div>
          </div>

          <div fxLayout="row wrap" fxLayoutGap="16px" fxLayoutAlign="flex-start" style="margin-top: 50px;">
            <div fxFlex="38%">
              <div fxLayout="row wrap" fxLayoutGap="16px" fxLayoutAlign="flex-start" style="margin-top: 10%;">
                <div class="card mb-2 card-res" style="border: none !important;box-shadow: none;cursor:pointer;">
                  <div class="card-body">
                    <div class="d-flex align-items-center" style="justify-content: center;">
                      <!-- <div *ngIf="responseData.summary_analysis[1].net_lift<=0" class="d-block fas fa-sort-numeric-up  display-4" style="color:red"></div>
                      <div *ngIf="responseData.summary_analysis[1].net_lift>0" class="d-block fas fa-sort-numeric-up display-4" style="color:green"></div> -->
                      <div class="ml-3">
                        <div class=" medium" style="font-size:14px;">{{avgSales[0].summary}}</div>
                        <div class="medium" style="color: #000000;">With Selected Items:
                          ${{avgSales[0].withItem | number:'1.2-2'}}</div>
                        <div class="medium" style="color: #000000;">Without Selected Items:
                          ${{avgSales[0].overAll | number:'1.2-2'}}</div>

                      </div>
                    </div>
                  </div>
                </div>
                <div class="card mb-2 card-res" style="border: none !important;box-shadow: none;cursor:pointer;">
                  <div class="card-body">
                    <div class="d-flex align-items-center" style="justify-content: center;">
                      <!-- <div *ngIf="responseData.summary_analysis[1].net_lift<=0" class="d-block fas fa-sort-numeric-up  display-4" style="color:red"></div>
                      <div *ngIf="responseData.summary_analysis[1].net_lift>0" class="d-block fas fa-sort-numeric-up display-4" style="color:green"></div> -->
                      <div class="ml-3">
                        <div class=" medium" style="font-size:14px;color: #000000;">{{avgSales[1].summary}}
                        </div>
                        <div class="medium" style="color: #000000;">With Selected Items:
                          {{avgSales[1].withItem | number:'1.2-2'}}</div>
                        <div class="medium" style="color: #000000;">Without Selected Items:
                          {{avgSales[1].overAll | number:'1.2-2'}}</div>

                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div fxFlex="29%">
              <div id="avgCheckBarChart" width="100%" style="height:250px;">


              </div>
            </div>
            <div fxFlex="29%">
              <div id="avgNoOfItems" width="100%" style="height:250px;">

              </div>
            </div>
          </div>

        </div>
      </div>
      <div class="card mb-2 card-res d-none"
        style="width:100%;background: #FFFFFF;box-shadow: 2px 2px 10px 0 rgba(192,189,189,0.50);border-radius: 15px;">
        <div> <img src='assets/img/Summary.svg' style='margin:20px;' /> <span
            style="font-size: 20px;color: #000000;vertical-align:middle;"> Which items are the most frequently purchased
            with the selected item?</span></div>

        <div class="card-body" style="padding-top:0px;">


          <div fxLayout="row wrap" fxLayoutGap="16px" fxLayoutAlign="flex-start">
            <div fxFlex="38%">
              <!-- <div *ngFor="let dpart of responseData.freqent_items; let i = index"fxLayout="row wrap" fxLayoutGap="16px" fxLayoutAlign="flex-start"> -->
              <div class="card mb-2 card-res" style="border: none !important;box-shadow: none;cursor:pointer;">
                <div class="card-body">
                  <div class="d-flex align-items-center">
                    <!-- <div *ngIf="responseData.summary_analysis[1].net_lift<=0" class="d-block fas fa-sort-numeric-up  display-4" style="color:red"></div>
                          <div *ngIf="responseData.summary_analysis[1].net_lift>0" class="d-block fas fa-sort-numeric-up display-4" style="color:green"></div> -->
                    <div class="ml-3">

                      <div class=" medium" style="font-size:14px;">Selected Item</div>
                      <div class="medium" style="font-size: 24px;color: #000000;">
                        {{responseData.freqent_items[0].item_description}}</div>
                      <div class="medium" style="font-size: 12px;">Was bought in {{totalSales[2].withItem | number:'1.2-2'}}
                        Checks</div>
                      <!-- <div class="medium">Checks with selected Item: {{dpart.item_count}}</div>
                            <div class="medium">Total Checks: {{dpart.check_count}}</div>
                            <div class="medium">% of Checks with selected Item: {{dpart.purchase_freq_per}}</div> -->

                    </div>

                  </div>
                </div>
              </div>

              <!-- </div> -->


              <div class="card mb-2 card-res" style="border: none !important;box-shadow: none;cursor:pointer;">
                <div class="card-body" style="padding-top: 0px;padding-bottom: 0px;">
                  <div class="ml-3">
                    <span style="font-size: 15px;color: #000000;vertical-align:middle;"> Items Most Frequently Purchased
                      with Selected Item </span>
                  </div>
                </div>
              </div>


              <div fxLayout="row wrap" fxLayoutGap="16px" fxLayoutAlign="flex-start">
                <!-- <div class="d-flex align-items-center" style="justify-content: center;">   <span style="font-size: 15px;color: #000000;vertical-align:middle;">  Items Most Frequently Purchased with Selected Item </span></div> -->

                <div *ngFor="let dpart of responseData.freqent_items|slice:1; let i = index" class="card mb-2 card-res"
                  style="border: none !important;box-shadow: none;cursor:pointer;">
                  <div class="card-body" style="padding: 0px;padding-top: 15px;padding-left: 1.5rem;">
                    <div class="d-flex align-items-center" style="justify-content: center;">
                      <!-- <div *ngIf="responseData.summary_analysis[1].net_lift<=0" class="d-block fas fa-sort-numeric-up  display-4" style="color:red"></div>
                          <div *ngIf="responseData.summary_analysis[1].net_lift>0" class="d-block fas fa-sort-numeric-up display-4" style="color:green"></div> -->

                      <div class="ml-3">
                        <div *ngIf="i==0" class=" medium" style="font-size:14px;">Most Common Item</div>
                        <div *ngIf="i==1" class=" medium" style="font-size:14px;">{{i+1}}nd Most Common Item
                        </div>
                        <div *ngIf="i==2" class=" medium" style="font-size:14px;">{{i+1}}rd Most Common Item
                        </div>
                        <div *ngIf="i==3" class=" medium" style="font-size:14px;">{{i+1}}th Most Common Item
                        </div>
                        <div *ngIf="i==4" class=" medium" style="font-size:14px;">{{i+1}}th Most Common Item
                        </div>
                        <div class="medium" style="font-size: 16px;color: #000000;">{{dpart.item_description}}</div>
                        <div class="medium" style="color: #000000;">{{dpart.check_count}} Checks had Both Items</div>
                        <div class="medium" style="color: #000000;">Or {{dpart.purchase_freq_per}}% of Checks w/
                          Selected Item</div>
                        <div class="medium" style="color: #000000;">With {{dpart.item_count}} Units of this item bought
                        </div>



                      </div>
                    </div>
                  </div>
                </div>
              </div>


            </div>
            <div fxFlex="55%">
              <div id="mostFrequentlyPurchased" width="100%" style="height:250px;margin-top: 10%;">


              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="card mb-2 card-res d-none"
        style="width:100%;background: #FFFFFF;box-shadow: 2px 2px 10px 0 rgba(192,189,189,0.50);border-radius: 15px;">
        <div> <img src='assets/img/Summary.svg' style='margin:20px;' /> <span
            style="font-size: 20px;color: #000000;vertical-align:middle;">Are these Associated Items Purchased Even When
            The Selected Item is not Purchased?</span></div>

        <div class="card-body" style="padding-top:0px;">


          <div fxLayout="row wrap" fxLayoutGap="16px" fxLayoutAlign="flex-start">
            <div fxFlex="38%">

              <div fxLayout="row wrap" fxLayoutGap="16px" fxLayoutAlign="flex-start">
                <div *ngFor="let dpart of responseData.freqent_items_not_bought; let i = index"
                  class="card mb-2 card-res" style="border: none !important;box-shadow: none;cursor:pointer;">
                  <div class="card-body" style="padding: 0px;padding-top: 15px;padding-left: 1.5rem;">
                    <div class="d-flex align-items-center" style="justify-content: center;">

                      <div class="ml-3">
                        <div *ngIf="i==0" class=" medium" style="font-size:14px;">Most Common Item</div>
                        <div *ngIf="i==1" class=" medium" style="font-size:14px;">{{i}}nd Most Common Item
                        </div>
                        <div *ngIf="i==2" class=" medium" style="font-size:14px;">{{i}}rd Most Common Item
                        </div>
                        <div *ngIf="i==3" class=" medium" style="font-size:14px;">{{i}}th Most Common Item
                        </div>
                        <div *ngIf="i==4" class=" medium" style="font-size:14px;">{{i}}th Most Common Item
                        </div>

                        <div class="medium" style="font-size: 16px;color: #000000;">{{dpart.item_description}}</div>
                        <div class="medium" style="color: #000000;">of {{dpart.check_count_not_sel + dpart.check_count}}
                          Checks that had this Item</div>
                        <div class="medium" style="color: #000000;">{{dpart.check_count}} Checks also had Selected Items
                        </div>
                        <div class="medium" style="color: #000000;">i.e., {{dpart.check_count_per}}% were w/o Selected
                          Item </div>

                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div fxFlex="60%" style="margin-top: 10%;">
              <div fxFlex="25%">
                <div id="mostCommonItem" width="100%" style="height:250px;">


                </div>
              </div>

              <div fxFlex="25%">
                <div id="mostCommonItem2" width="100%" style="height:250px;">

                </div>
              </div>

              <div fxFlex="25%">
                <div id="mostCommonItem3" width="100%" style="height:250px;">

                </div>
              </div>

              <div fxFlex="25%">
                <div id="mostCommonItem4" width="100%" style="height:250px;">

                </div>
              </div>
            </div>
          </div>

        </div>
      </div>

    </ng-container>
    <ng-container *ngIf="noData">
      <div style="padding: 14px;margin:auto;text-align: center;color:#888;text-transform:capitalize">{{noDataFoundText}}</div>
    </ng-container>
  </form>
<!-- </block-ui> -->
</div>

<ng-template #elementBlockTemplate>
   
    <custom-loader [loaderArr]="loaderArr" *ngIf="loaderArr && loaderArr.length>0"></custom-loader>
    <div class="block-ui-template" *ngIf="!(loaderArr.length>0)">
        <!-- <div class="sk-double-bounce sk-primary">
            <div class="sk-child sk-double-bounce1"></div>
            <div class="sk-child sk-double-bounce2"></div>
        </div>
        <span class="loading-text-material">
            <p class="text-center text-white"> {{loadingText}} </p>
        </span> -->
        <div class="app-splash-screen ">
          <div class="new-app-splash-screen-content text-center">
          <img src="../../assets/img/hx-loader-logo.svg" class="loader-svg">
          <span class="loading-text-material">
           <!-- <p class="text-center text-white">{{loadingText}} </p> -->
       </span>
        </div>
        </div>
    </div>
</ng-template>